Name:          fluidsynth
Version:       2.4.0
Release:       1mamba
Summary:       A real-time software synthesizer based on the SoundFont 2 specifications
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.fluidsynth.org/
Source:        https://github.com/FluidSynth/fluidsynth.git/v%{version}/fluidsynth-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
BuildRequires: libalsa-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgomp-devel
BuildRequires: libinstpatch-devel
BuildRequires: libjack-devel
BuildRequires: libpipewire-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libreadline-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END
BuildRequires: libpulseaudio-devel >= 8.0
BuildRequires: ladspa-devel >= 1.12
BuildRequires: libpulseaudio-devel >= 4.0
# alsa-utils-midi required for snd-seq-* module loading
Requires:      alsa-utils-midi
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2 specifications. FluidSynth can read MIDI events from a MIDI input device and render them to an audio device using SoundFont instruments. SoundFont files are composed of digital audio "samples" and additional instrument parameters. These files can be created or downloaded off the Internet. FluidSynth also has support for controlling effects in real time and can play MIDI files. 

%package -n lib%{name}
Summary:       Shared library provided by %{name}
Group:         System/Libraries

%description -n lib%{name}
FluidSynth is a real-time software synthesizer based on the SoundFont 2 specifications. FluidSynth can read MIDI events from a MIDI input device and render them to an audio device using SoundFont instruments. SoundFont files are composed of digital audio "samples" and additional instrument parameters. These files can be created or downloaded off the Internet. FluidSynth also has support for controlling effects in real time and can play MIDI files. 
This package contains the %{name} shared library.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-devel
Obsoletes:     %{name}-devel <= 2.2.0-1mamba

%description -n lib%{name}-devel
FluidSynth is a real-time software synthesizer based on the SoundFont 2 specifications. FluidSynth can read MIDI events from a MIDI input device and render them to an audio device using SoundFont instruments. SoundFont files are composed of digital audio "samples" and additional instrument parameters. These files can be created or downloaded off the Internet. FluidSynth also has support for controlling effects in real time and can play MIDI files. 
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q 

%build
%cmake \
   -DLIB_SUFFIX= \
   -Denable-ladspa=on

#   --disable-lash

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/fluidsynth
%{_mandir}/man1/fluidsynth.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfluidsynth.so.*
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/fluidsynth/*.h
%{_libdir}/libfluidsynth.so
%dir %{_libdir}/cmake/fluidsynth
%{_libdir}/cmake/fluidsynth/FluidSynth*.cmake
%{_libdir}/pkgconfig/*.pc
%doc THANKS TODO

%changelog
* Sun Nov 03 2024 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Sun Oct 20 2024 Automatic Build System <autodist@openmamba.org> 2.3.7-1mamba
- automatic version update by autodist

* Sat Aug 03 2024 Automatic Build System <autodist@openmamba.org> 2.3.6-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 2.3.5-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Sat Sep 24 2022 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Tue Sep 06 2022 Automatic Build System <autodist@mambasoft.it> 2.2.9-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 2.2.8-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic version update by autodist

* Sun Mar 20 2022 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- automatic version update by autodist

* Mon Jan 24 2022 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Tue May 11 2021 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-2mamba
- moved library to lib* packages; added debug package

* Tue Apr 06 2021 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 2.1.8-1mamba
- automatic version update by autodist

* Sun Jan 31 2021 Automatic Build System <autodist@mambasoft.it> 2.1.7-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 2.1.6-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Tue May 26 2020 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic version update by autodist

* Thu Feb 20 2020 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Sun Dec 01 2019 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 2.0.9-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Sun Sep 29 2019 Automatic Build System <autodist@mambasoft.it> 2.0.7-1mamba
- automatic version update by autodist

* Tue Aug 20 2019 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Sun Feb 24 2019 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Sat Jun 23 2018 Automatic Build System <autodist@mambasoft.it> 1.1.11-1mamba
- automatic version update by autodist

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Mon Apr 25 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-4mamba
- rebuilt with pulseaudio 8.0

* Tue Mar 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-3mamba
- rebuilt with pulseaudio 6.0

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-2mamba
- rebuilt with pulseaudio 4.0

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Mon Aug 08 2011 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3

* Thu Feb 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-5mamba
- added requirement for alsa-utils-midi

* Mon Dec 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-4mamba
- automatic port from devel-gil

* Mon Dec 20 2010 gil <puntogil@libero.it> 1.1.1-3mamba
- rebuilt with new libjack

* Sat Apr 24 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-2mamba
- disabled LASH support because it makes fluidsynth work with jack only

* Sun Jan 17 2010 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Fri May 01 2009 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Mon Jan 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Tue Sep 25 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-1mamba
- update to 1.0.7

* Thu Oct 27 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.6-1qilnx
- update to version 1.0.6 by autospec

* Sun Feb 20 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1qilnx
- package created by autospec
